# binaryninja.plugin.PluginCommand

class `binaryninja.plugin.``PluginCommand`(cmd)
  `__init__`(cmd)

  Methods

  `__init__`(cmd) |
  `execute`(context) |
  `get_valid_list`(context) | Dict of registered plugins
  `is_valid`(context) |
  `register`(name, description, action[, is_valid]) | `register` Register a plugin
  `register_for_address`(name, description, action) | `register_for_address` Register a plugin to be called with an address argument
  `register_for_function`(name, description, action) | `register_for_function` Register a plugin to be called with a function argument
  `register_for_low_level_il_function`(name, ...) | `register_for_low_level_il_function` Register a plugin to be called with a low level IL function argument
  `register_for_low_level_il_instruction`(name, ...) | `register_for_low_level_il_instruction` Register a plugin to be called with a low level IL instruction argument
  `register_for_medium_level_il_function`(name, ...) | `register_for_medium_level_il_function` Register a plugin to be called with a medium level IL function argument
  `register_for_medium_level_il_instruction`(...) | `register_for_medium_level_il_instruction` Register a plugin to be called with a medium level IL instruction argument
  `register_for_range`(name, description, action) | `register_for_range` Register a plugin to be called with a range argument

  Attributes

  `list` |